Dropzone.options.%id=droplet_id% = {
	paramName: "file",
	maxFiles: %id=max_files%,
	maxFilesize: %id=file_size%,
	thumbnailWidth: %id=thumbnail_size_array[0]%,
	thumbnailHeight: %id=thumbnail_size_array[1]%,
	timeout: %id=timeout%,

	// Mobile capture
	%[if %("%id=capture%" != "null")% ]%
	capture: %id=capture%,
	acceptedFiles: "%id=accepted_mime%",
	%[endif]%

	// No mobile capture
	%[if %("%id=capture%" == "null")% ]%
	acceptedFiles: "%id=accepted_files%",
	%[endif]%

	// File chunking
	chunking: %id=chunking%,
	chunkSize: %id=chunking_size%,
	%[if %("%id=chunking_retry%" != "0")% ]%
	retryChunks: true,
	retryChunksLimit: %id=chunking_retry%,
	%[endif]%

	// Resize images
	%[if %("%id=resize_images%" == "true")% ]%
	resizeMethod: "%id=resize_method%",
	resizeMimeType: "%id=resize_image_format%",
	resizeQuality: %id=resize_image_quality%,
	%[if %("%id=image_size_array[0]%" != "0")% ]%
	resizeWidth: %id=image_size_array[0]%,
	%[endif]%
	%[if %("%id=image_size_array[1]%" != "0")% ]%
	resizeHeight: %id=image_size_array[1]%,
	%[endif]%
	%[endif]%

	maxThumbnailFilesize: 10,
	addRemoveLinks: true,
	createImageThumbnails: true,

	// Security
	%[if %("%id=csrf_token%" != "")% ]%
	headers: {
  	'x-csrf-token': document.querySelector('meta[name=%id=csrf_token%]').getAttributeNode('content').value,
	},
	%[endif]%

	// Translations
	dictDefaultMessage: "%id=default_message%",
	dictInvalidFileType: "%id=invalid_message%",
	dictFileTooBig: "%id=toolarge_message%",
	dictMaxFilesExceeded: "%id=toomanyfiles_message%",
	dictUploadCanceled: "%id=uploadcancel_message%",
	dictCancelUpload: "%id=cancel_message%",
	dictCancelUploadConfirmation: "%id=deleteconfirm_message%",
	dictRemoveFile: "%id=delete_message%",
	dictResponseError: "%id=error_message%"
};
